<?php

namespace Drupal\Tests\error_log\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests Error Log module.
 *
 * @group error_log
 */
class ErrorLogTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * Modules to install.
   *
   * @var string[]
   */
  protected static $modules = ['error_log'];

  /**
   * Tests Error Log module.
   */
  public function testErrorLog(): void {
    $admin_user = $this->drupalCreateUser(['administer site configuration']);
    $this->drupalLogin($admin_user);
    $this->drupalGet('admin/config/development/logging');
    $this->submitForm([], 'Save configuration');
    $log = file(DRUPAL_ROOT . '/' . $this->siteDirectory . '/error.log');
    $this->assertSame(2, count($log));
    $this->assertSame(1, preg_match('/\[.*\] \[[a-z]+\] \[user\] .* Session opened for /', $log[1]));
  }

}
